package com.persagy.account.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;

import com.persagy.common.service.impl.SuperServiceImpl;
import com.persagy.account.mapper.SaasMenuMapper;
import com.persagy.account.pojo.dto.SaasMenu;
import com.persagy.account.service.ISaasMenuService;

/**
 * 菜单信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Service
public class SaasMenuServiceImpl extends SuperServiceImpl<SaasMenuMapper, SaasMenu> implements ISaasMenuService {
	
	@Override
	public List<SaasMenu> querySaasMenuTree(String accountId, String groupCode, String appId, Integer valid) {
		return this.baseMapper.querySaasMenuTree(accountId, groupCode, appId, valid);
	}

	@Override
	public List<SaasMenu> queryMenuAndEmptyFunction(String groupCode, String roleId) {
		return this.baseMapper.queryMenuAndEmptyFunction(groupCode, roleId);
	}

}
